# Uses of Interface
org.apache.wiki.references.ReferenceManager

Packages that use ReferenceManager
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.references
Provides the JSPWiki track of pages' references.

## Uses of ReferenceManager in org.apache.wiki

Methods in org.apache.wiki that return ReferenceManager
Modifier and Type
Method
Description
`ReferenceManager`
WikiEngine.`getReferenceManager()`
Deprecated.
use `getManager( ReferenceManager.class )` instead.

## Uses of ReferenceManager in org.apache.wiki.references

Classes in org.apache.wiki.references that implement ReferenceManager
Modifier and Type
Class
Description
`class`
`DefaultReferenceManager`
Keeps track of wikipage references: What pages a given page refers to What pages refer to a given page This is a quick'n'dirty approach without any finesse in storage and searching algorithms; we trust java.util.*.